package kr.co.vividnext.sodalive.audio_content.comment

import android.os.Parcelable
import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Keep
data class GetAudioContentCommentListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<GetAudioContentCommentListItem>
)

@Parcelize
@Keep
data class GetAudioContentCommentListItem(
    @SerializedName("id") val id: Long,
    @SerializedName("writerId") val writerId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileUrl") val profileUrl: String,
    @SerializedName("comment") val comment: String,
    @SerializedName("isSecret") val isSecret: Boolean,
    @SerializedName("donationCan") val donationCan: Int,
    @SerializedName("date") val date: String,
    @SerializedName("replyCount") val replyCount: Int
) : Parcelable
