package kr.co.vividnext.sodalive.audio_content.main.v2.alarm

import kr.co.vividnext.sodalive.audio_content.AudioContentApi

class AudioContentMainTabAlarmRepository(private val api: AudioContentApi) {
    fun getContentMainAlarm(token: String) = api.getContentMainAlarm(authHeader = token)
    fun getContentMainAlarmAll(
        theme: String,
        page: Int,
        size: Int,
        token: String
    ) = api.getContentMainAlarmAll(
        theme = theme,
        page = page - 1,
        size = size,
        authHeader = token
    )
}
