package kr.co.vividnext.sodalive.audio_content.main.v2.content

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.audio_content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentMainItem
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.settings.event.GetEventResponse

@Keep
data class GetContentMainTabContentResponse(
    @SerializedName("bannerList") val bannerList: List<GetAudioContentBannerResponse>,
    @SerializedName("contentThemeList") val contentThemeList: List<String>,
    @SerializedName("newContentList") val newContentList: List<GetAudioContentMainItem>,
    @SerializedName("rankSortTypeList") val rankSortTypeList: List<String>,
    @SerializedName("rankContentList") val rankContentList: List<GetAudioContentRankingItem>,
    @SerializedName("contentRankCreatorList") val contentRankCreatorList: List<ContentCreatorResponse>,
    @SerializedName("salesRankContentList") val salesRankContentList: List<GetAudioContentRankingItem>,
    @SerializedName("salesCountRankContentList") val salesCountRankContentList: List<GetAudioContentRankingItem>,
    @SerializedName("eventBannerList") val eventBannerList: GetEventResponse
)
