package kr.co.vividnext.sodalive.audio_content.main.v2.free

import kr.co.vividnext.sodalive.audio_content.AudioContentApi

class AudioContentMainTabFreeRepository(private val api: AudioContentApi) {
    fun getContentMainFree(token: String) = api.getContentMainFree(authHeader = token)
    fun getIntroduceCreatorList(page: Int, size: Int, token: String) = api.getIntroduceCreatorList(
        page = page - 1,
        size = size,
        authHeader = token
    )

    fun getNewContentOfTheme(
        theme: String,
        page: Int = 1,
        size: Int = 10,
        token: String
    ) = api.getNewFreeContentOfTheme(
        theme = theme,
        page = page - 1,
        size = size,
        authHeader = token
    )
}
