package kr.co.vividnext.sodalive.audio_content.main.v2.home

import androidx.annotation.Keep
import kr.co.vividnext.sodalive.audio_content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.audio_content.series.GetSeriesListResponse
import kr.co.vividnext.sodalive.explorer.GetExplorerSectionResponse
import kr.co.vividnext.sodalive.settings.event.GetEventResponse
import kr.co.vividnext.sodalive.settings.notice.NoticeItem

@Keep
data class GetContentMainTabHomeResponse(
    val latestNotice: NoticeItem?,
    val bannerList: List<GetAudioContentBannerResponse>,
    val rankCreatorList: GetExplorerSectionResponse,
    val rankSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    val rankSortTypeList: List<String>,
    val rankContentList: List<GetAudioContentRankingItem>,
    val eventBannerList: GetEventResponse,
    val contentRankCreatorList: List<ContentCreatorResponse>,
    val salesRankContentList: List<GetAudioContentRankingItem>,
    val salesCountRankContentList: List<GetAudioContentRankingItem>
)
