package kr.co.vividnext.sodalive.audio_content.main.v2.series

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.audio_content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.audio_content.series.GetSeriesListResponse
import kr.co.vividnext.sodalive.settings.event.GetEventResponse

@Keep
data class GetContentMainTabSeriesResponse(
    @SerializedName("contentBannerList")
    val contentBannerList: List<GetAudioContentBannerResponse>,
    @SerializedName("originalAudioDrama")
    val originalAudioDrama: List<GetSeriesListResponse.SeriesListItem>,
    @SerializedName("rankSeriesList")
    val rankSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    @SerializedName("genreList")
    val genreList: List<GetSeriesGenreListResponse>,
    @SerializedName("recommendSeriesList")
    val recommendSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    @SerializedName("newSeriesList")
    val newSeriesList: List<GetRecommendSeriesListResponse>,
    @SerializedName("rankCompleteSeriesList")
    val rankCompleteSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    @SerializedName("seriesRankCreatorList")
    val seriesRankCreatorList: List<ContentCreatorResponse>,
    @SerializedName("recommendSeriesByChannel")
    val recommendSeriesByChannel: List<GetSeriesListResponse.SeriesListItem>,
    @SerializedName("eventBannerList")
    val eventBannerList: GetEventResponse,
    @SerializedName("curationList")
    val curationList: List<GetSeriesCurationResponse>
)
