package kr.co.vividnext.sodalive.audio_content.order

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetAudioContentOrderListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<GetAudioContentOrderListItem>
)

@Keep
data class GetAudioContentOrderListItem(
    @SerializedName("contentId") val contentId: Long,
    @SerializedName("coverImageUrl") val coverImageUrl: String,
    @SerializedName("creatorNickname") val creatorNickname: String,
    @SerializedName("title") val title: String,
    @SerializedName("themeStr") val themeStr: String,
    @SerializedName("duration") val duration: String?,
    @SerializedName("isAdult") val isAdult: Boolean,
    @SerializedName("orderType") val orderType: OrderType,
    @SerializedName("likeCount") val likeCount: Int,
    @SerializedName("commentCount") val commentCount: Int,
)
