package kr.co.vividnext.sodalive.common

object Constants {
    const val PREF_CAN = "pref_can"
    const val PREF_TOKEN = "pref_token"
    const val PREF_EMAIL = "pref_email"
    const val PREF_USER_ID = "pref_user_id"
    const val PREF_IS_ADULT = "pref_is_adult"
    const val PREF_NICKNAME = "pref_nickname"
    const val PREF_USER_ROLE = "pref_user_role"
    const val PREF_NO_CHAT_ROOM = "pref_no_chat"
    const val PREF_PUSH_TOKEN = "pref_push_token"
    const val PREF_PROFILE_IMAGE = "pref_profile_image"
    const val PREF_CONTENT_PREFERENCE = "pref_content_preference"
    const val PREF_IS_CONTENT_PLAY_LOOP = "pref_is_content_play_loop"
    const val PREF_IS_AUDITION_NOTIFICATION = "pref_is_audition_notification"
    const val PREF_IS_ADULT_CONTENT_VISIBLE = "pref_is_adult_content_visible"
    const val PREF_IS_FOLLOWED_CREATOR_LIVE = "pref_is_followed_creator_live"
    const val PREF_IS_PLAYER_SERVICE_RUNNING = "pref_is_player_service_running"
    const val PREF_NOT_SHOWING_EVENT_POPUP_ID = "pref_not_showing_event_popup_id"
    const val PREF_IS_VIEWED_ON_BOARDING_TUTORIAL = "pref_is_viewed_on_boarding_tutorial"

    const val EXTRA_CAN = "extra_can"
    const val EXTRA_DATA = "extra_data"
    const val EXTRA_TERMS = "extra_terms"
    const val EXTRA_PRIVACY = "extra_privacy"
    const val EXTRA_EVENT = "extra_event"
    const val EXTRA_SERIES = "extra_series"
    const val EXTRA_NOTICE = "extra_notice"
    const val EXTRA_ROOM_ID = "extra_room_id"
    const val EXTRA_USER_ID = "extra_user_id"
    const val EXTRA_THEME_ID = "extra_theme_id"
    const val EXTRA_SERIES_ID = "extra_series_id"
    const val EXTRA_START_TAB_POSITION = "extra_start_tab"
    const val EXTRA_NICKNAME = "extra_nickname"
    const val EXTRA_MESSAGE_ID = "extra_message_id"
    const val EXTRA_AUDITION_ID = "extra_audition_id"
    const val EXTRA_ROOM_DETAIL = "extra_room_detail"
    const val EXTRA_MESSAGE_BOX = "extra_message_box"
    const val EXTRA_SERIES_TITLE = "extra_series_title"
    const val EXTRA_TEXT_MESSAGE = "extra_text_message"
    const val EXTRA_LIVE_TIME_NOW = "extra_live_time_now"
    const val EXTRA_RESULT_ROULETTE = "extra_result_roulette"
    const val EXTRA_GO_TO_PREV_PAGE = "extra_go_to_prev_page"
    const val EXTRA_AUDITION_ROLE_ID = "extra_audition_role_id"
    const val EXTRA_SELECT_RECIPIENT = "extra_select_recipient"
    const val EXTRA_ROOM_CHANNEL_NAME = "extra_room_channel_name"
    const val EXTRA_LIVE_RESERVATION_RESPONSE = "extra_live_reservation_response"
    const val EXTRA_AUDIO_CONTENT_PLAYLIST_ID = "extra_audio_content_playlist_id"

    const val EXTRA_AUDIO_CONTENT_ID = "audio_content_id"
    const val EXTRA_AUDIO_CONTENT_URL = "audio_content_url"
    const val EXTRA_AUDIO_CONTENT_TITLE = "audio_content_title"
    const val EXTRA_AUDIO_CONTENT_FREE = "audio_content_is_free"
    const val EXTRA_AUDIO_CONTENT_PREVIEW = "audio_content_is_preview"
    const val EXTRA_AUDIO_CONTENT_PLAYING = "audio_content_is_playing"
    const val EXTRA_AUDIO_CONTENT_SHOWING = "audio_content_is_showing"
    const val EXTRA_AUDIO_CONTENT_CHANGE_UI = "audio_content_change_ui"
    const val EXTRA_AUDIO_CONTENT_PROGRESS = "audio_content_progress"
    const val EXTRA_AUDIO_CONTENT_DURATION = "audio_content_duration"
    const val EXTRA_AUDIO_CONTENT_COMMENT = "audio_content_comment"
    const val EXTRA_AUDIO_CONTENT_LOADING = "audio_content_loading"
    const val EXTRA_AUDIO_CONTENT_CREATOR_ID = "audio_content_creator_id"
    const val EXTRA_AUDIO_CONTENT_CREATOR_NICKNAME = "audio_content_creator_nickname"
    const val EXTRA_AUDIO_CONTENT_CREATOR_PROFILE_IMAGE = "audio_content_creator_profile_image"
    const val EXTRA_AUDIO_CONTENT_CURATION_ID = "extra_audio_content_curation_id"
    const val EXTRA_AUDIO_CONTENT_CURATION_TITLE = "extra_audio_content_curation_title"
    const val EXTRA_AUDIO_CONTENT_NEXT_ACTION = "audio_content_next_action"
    const val EXTRA_AUDIO_CONTENT_ALERT_PREVIEW = "audio_content_alert_preview"
    const val EXTRA_AUDIO_CONTENT_COVER_IMAGE_URL = "audio_content_cover_image_url"
    const val EXTRA_AUDIO_CONTENT_PLAYLIST = "extra_audio_content_playlist"
    const val EXTRA_IS_SHOW_SECRET = "extra_is_show_secret"

    const val LIVE_SERVICE_NOTIFICATION_ID: Int = 2
    const val ACTION_AUDIO_CONTENT_RECEIVER = "soda_live_action_content_receiver"
    const val ACTION_MAIN_AUDIO_CONTENT_RECEIVER = "soda_live_action_main_content_receiver"

    const val EXTRA_COMMUNITY_POST_ID = "community_post_id"
    const val EXTRA_COMMUNITY_CREATOR_ID = "community_creator_id"
    const val EXTRA_COMMUNITY_POST_COMMENT = "community_post_comment_id"

    const val EXTRA_ALARM_ID = "alarm_id"
    const val EXTRA_ROULETTE_AVAILABLE_ACTIVE = "roulette_available_active"
}
