package kr.co.vividnext.sodalive.explorer

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetExplorerResponse(
    @SerializedName("sections") val sections: List<GetExplorerSectionResponse>
)

@Keep
data class GetExplorerSectionResponse(
    @SerializedName("title") val title: String,
    @SerializedName("coloredTitle") val coloredTitle: String?,
    @SerializedName("color") val color: String?,
    @SerializedName("desc") val desc: String?,
    @SerializedName("creators") val creators: List<GetExplorerSectionCreatorResponse>
)

@Keep
data class GetExplorerSectionCreatorResponse(
    @SerializedName("id") val id: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("tags") val tags: String,
    @SerializedName("profileImageUrl") val profileImageUrl: String
)
