package kr.co.vividnext.sodalive.explorer.profile

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetCheersResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("cheers") val cheers: List<GetCheersResponseItem>
)

@Keep
data class GetCheersResponseItem(
    @SerializedName("cheersId") val cheersId: Long,
    @SerializedName("memberId") val memberId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileUrl") val profileUrl: String,
    @SerializedName("content") val content: String,
    @SerializedName("date") val date: String,
    @SerializedName("replyList") val replyList: List<GetCheersResponseItem>
)
