package kr.co.vividnext.sodalive.explorer.profile.follow

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetFollowerListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<GetFollowerListResponseItem>
)

@Keep
data class GetFollowerListResponseItem(
    @SerializedName("userId") val userId: Long,
    @SerializedName("profileImage") val profileImage: String,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("isFollow") val isFollow: Boolean?,
    @SerializedName("isNotify") val isNotify: Boolean?
)
