package kr.co.vividnext.sodalive.following

import kr.co.vividnext.sodalive.live.recommend.LiveRecommendApi
import kr.co.vividnext.sodalive.user.CreatorFollowRequestRequest
import kr.co.vividnext.sodalive.user.UserApi

class FollowingCreatorRepository(private val api: LiveRecommendApi) {
    fun getFollowedCreatorAllList(
        page: Int,
        size: Int,
        token: String
    ) = api.getCreatorFollowingAllList(page = page - 1, size = size, authHeader = token)
}
