package kr.co.vividnext.sodalive.following

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetCreatorFollowingAllListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<GetCreatorFollowingAllListItem>
)

@Keep
data class GetCreatorFollowingAllListItem(
    @SerializedName("creatorId") val creatorId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileImageUrl") val profileImageUrl: String,
    @SerializedName("isFollow") var isFollow: Boolean,
    @SerializedName("isNotify") var isNotify: Boolean
)
