package kr.co.vividnext.sodalive.live

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetRoomListResponse(
    @SerializedName("roomId") val roomId: Long,
    @SerializedName("title") val title: String,
    @SerializedName("content") val content: String,
    @SerializedName("beginDateTime") val beginDateTime: String,
    @SerializedName("numberOfParticipate") val numberOfParticipate: Int,
    @SerializedName("numberOfPeople") val numberOfPeople: Int,
    @SerializedName("coverImageUrl") val coverImageUrl: String,
    @SerializedName("isAdult") val isAdult: Boolean,
    @SerializedName("price") val price: Int,
    @SerializedName("tags") val tags: List<String>,
    @SerializedName("channelName") val channelName: String?,
    @SerializedName("creatorProfileImage") val creatorProfileImage: String,
    @SerializedName("creatorNickname") val creatorNickname: String,
    @SerializedName("creatorId") val creatorId: Long,
    @SerializedName("isReservation") val isReservation: Boolean,
    @SerializedName("isPrivateRoom") val isPrivateRoom: Boolean
)
