package kr.co.vividnext.sodalive.live.reservation

import android.os.Parcelable
import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
@Keep
data class MakeLiveReservationResponse(
    @SerializedName("reservationId") val reservationId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("title") val title: String,
    @SerializedName("beginDateString") val beginDateString: String,
    @SerializedName("price") val price: String,
    @SerializedName("haveCan") val haveCan: Int,
    @SerializedName("useCan") val useCan: Int,
    @SerializedName("remainingCan") val remainingCan: Int
) : Parcelable
