package kr.co.vividnext.sodalive.live.room

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import java.util.TimeZone

@Keep
data class StartLiveRequest(
    @SerializedName("roomId") val roomId: Long,
    @SerializedName("timezone") val timezone: String = TimeZone.getDefault().id,
)
