package kr.co.vividnext.sodalive.live.room.donation

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetLiveRoomDonationStatusResponse(
    @SerializedName("donationList") val donationList: List<GetLiveRoomDonationItem>,
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("totalCan") val totalCan: Int,
    @SerializedName("totalSecretCan") val totalSecretCan: Int
)

@Keep
data class GetLiveRoomDonationItem(
    @SerializedName("profileImage") val profileImage: String,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("userId") val userId: Long,
    @SerializedName("can") val can: Int,
    @SerializedName("secretCan") val secretCan: Int
)
