package kr.co.vividnext.sodalive.live.room.menu

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.POST
import retrofit2.http.Query

interface MenuApi {
    @GET("/live/room/menu/all")
    fun getAllMenu(
        @Query("creatorId") creatorId: Long,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<List<GetMenuPresetResponse>>>

    @POST("/live/room/menu")
    fun saveMenu(
        @Body request: UpdateLiveMenuRequest,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<Any>>
}
