package kr.co.vividnext.sodalive.live.room.profile

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetLiveRoomUserProfileResponse(
    @SerializedName("userId") val userId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileUrl") val profileUrl: String,
    @SerializedName("gender") val gender: String,
    @SerializedName("instagramUrl") val instagramUrl: String,
    @SerializedName("youtubeUrl") val youtubeUrl: String,
    @SerializedName("websiteUrl") val websiteUrl: String,
    @SerializedName("blogUrl") val blogUrl: String,
    @SerializedName("introduce") val introduce: String,
    @SerializedName("tags") val tags: String,
    @SerializedName("isSpeaker") val isSpeaker: Boolean?,
    @SerializedName("isManager") val isManager: Boolean?,
    @SerializedName("isFollowing") val isFollowing: Boolean?,
    @SerializedName("isBlock") val isBlock: Boolean
)
