package kr.co.vividnext.sodalive.live.roulette

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetRouletteResponse(
    @SerializedName("id") val id: Long,
    @SerializedName("can") val can: Int,
    @SerializedName("isActive") val isActive: Boolean,
    @SerializedName("items") val items: List<RouletteItem>
)

@Keep
data class RouletteItem(
    @SerializedName("title") val title: String,
    @SerializedName("percentage") val percentage: Float
)
