package kr.co.vividnext.sodalive.message

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class SendVoiceMessageRequest(
    @SerializedName("recipientId") val recipientId: Long,
    @SerializedName("container") val container: String = "aos"
)

@Keep
data class SendTextMessageRequest(
    @SerializedName("recipientId") val recipientId: Long,
    @SerializedName("textMessage") val textMessage: String,
    @SerializedName("container") val container: String = "aos"
)
