package kr.co.vividnext.sodalive.mypage.auth

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.POST

interface AuthApi {
    @POST("/auth")
    fun verify(
        @Body request: AuthVerifyRequest,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<AuthResponse>>
}
