package kr.co.vividnext.sodalive.mypage.auth

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class BootpayResponse(
    @SerializedName("event")
    val event: String,
    @SerializedName("data")
    val data: BootpayResponseData
) {
    @Keep
    data class BootpayResponseData(
        @SerializedName("receipt_id")
        val receiptId: String,
        @SerializedName("order_id")
        val orderId: String,
    )
}
