package kr.co.vividnext.sodalive.mypage.block

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetBlockedMemberListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<GetBlockedMemberListItem>
)

@Keep
data class GetBlockedMemberListItem(
    @SerializedName("memberId") val memberId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileImageUrl") val profileImageUrl: String,
    @SerializedName("isBlocked") val isBlocked: Boolean
)
