package kr.co.vividnext.sodalive.mypage.can.charge.pg

import android.os.Parcelable
import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
@Keep
data class CanResponse(
    @SerializedName("id")
    val id: Long,
    @SerializedName("title")
    val title: String,
    @SerializedName("can")
    val can: Int,
    @SerializedName("rewardCan")
    val rewardCan: Int,
    @SerializedName("price")
    val price: Int
) : Parcelable
