package kr.co.vividnext.sodalive.mypage.profile

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.user.Gender

@Keep
data class ProfileUpdateRequest(
    @SerializedName("email") val email: String,
    @SerializedName("password") val password: String? = null,
    @SerializedName("modifyPassword") val modifyPassword: String? = null,
    @SerializedName("nickname") val nickname: String? = null,
    @SerializedName("gender") val gender: Gender? = null,
    @SerializedName("insertTags") val insertTags: List<String>? = null,
    @SerializedName("removeTags") val removeTags: List<String>? = null,
    @SerializedName("introduce") val introduce: String? = null,
    @SerializedName("youtubeUrl") val youtubeUrl: String? = null,
    @SerializedName("instagramUrl") val instagramUrl: String? = null,
    @SerializedName("websiteUrl") val websiteUrl: String? = null,
    @SerializedName("blogUrl") val blogUrl: String? = null,
    @SerializedName("isVisibleDonationRank") val isVisibleDonationRank: Boolean? = null,
    @SerializedName("container") val container: String = "aos"
)
