package kr.co.vividnext.sodalive.report

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.POST

interface ReportApi {
    @POST("/report")
    fun report(
        @Body request: ReportRequest,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<Any>>
}
