package kr.co.vividnext.sodalive.settings.notice

import android.os.Parcelable
import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Keep
data class GetNoticeResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("noticeList") val noticeList: List<NoticeItem>
)

@Parcelize
@Keep
data class NoticeItem(
    @SerializedName("title") val title: String,
    @SerializedName("content") val content: String,
    @SerializedName("date") val date: String
) : Parcelable
