package kr.co.vividnext.sodalive.settings.notification

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetMemberInfoResponse(
    @SerializedName("can") val can: Int,
    @SerializedName("isAuth") val isAuth: Boolean,
    @SerializedName("role") val role: MemberRole,
    @SerializedName("messageNotice") val messageNotice: Boolean?,
    @SerializedName("followingChannelLiveNotice")
    val followingChannelLiveNotice: Boolean?,
    @SerializedName("followingChannelUploadContentNotice")
    val followingChannelUploadContentNotice: Boolean?,
    @SerializedName("auditionNotice")
    val auditionNotice: Boolean?
)

enum class MemberRole {
    @SerializedName("USER")
    USER,

    @SerializedName("CREATOR")
    CREATOR,
}
