package kr.co.vividnext.sodalive.audio_content.main.v2.alarm

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentMainItem
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.audio_content.main.v2.GetContentCurationResponse
import kr.co.vividnext.sodalive.settings.event.GetEventResponse

@Keep
data class GetContentMainTabAlarmResponse(
    @SerializedName("contentBannerList")
    val contentBannerList: List<GetAudioContentBannerResponse>,
    @SerializedName("alarmThemeList")
    val alarmThemeList: List<String>,
    @SerializedName("newAlarmContentList")
    val newAlarmContentList: List<GetAudioContentMainItem>,
    @SerializedName("rankAlarmContentList")
    val rankAlarmContentList: List<GetAudioContentRankingItem>,
    @SerializedName("eventBannerList")
    val eventBannerList: GetEventResponse,
    @SerializedName("curationList")
    val curationList: List<GetContentCurationResponse>
)
