package kr.co.vividnext.sodalive.audio_content.main.v2.free

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentMainItem
import kr.co.vividnext.sodalive.audio_content.main.v2.GetContentCurationResponse
import kr.co.vividnext.sodalive.audio_content.main.v2.series.GetRecommendSeriesListResponse

@Keep
data class GetContentMainTabLiveFreeResponse(
    @SerializedName("contentBannerList")
    val contentBannerList: List<GetAudioContentBannerResponse>,
    @SerializedName("introduceCreator")
    val introduceCreator: GetContentCurationResponse?,
    @SerializedName("recommendSeriesList")
    val recommendSeriesList: List<GetRecommendSeriesListResponse>,
    @SerializedName("themeList")
    val themeList: List<String>,
    @SerializedName("newFreeContentList")
    val newFreeContentList: List<GetAudioContentMainItem>,
    @SerializedName("curationList")
    val curationList: List<GetContentCurationResponse>
)
