package kr.co.vividnext.sodalive.audio_content.main.v2.replay

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentMainItem
import kr.co.vividnext.sodalive.audio_content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.audio_content.main.v2.GetContentCurationResponse
import kr.co.vividnext.sodalive.settings.event.GetEventResponse

@Keep
data class GetContentMainTabLiveReplayResponse(
    @SerializedName("contentBannerList") val contentBannerList: List<GetAudioContentBannerResponse>,
    @SerializedName("newLiveReplayContentList") val newLiveReplayContentList: List<GetAudioContentMainItem>,
    @SerializedName("rankLiveReplayContentList") val rankLiveReplayContentList: List<GetAudioContentRankingItem>,
    @SerializedName("eventBannerList") val eventBannerList: GetEventResponse,
    @SerializedName("curationList") val curationList: List<GetContentCurationResponse>
)
