package kr.co.vividnext.sodalive.audition

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetAuditionListResponse(
    @SerializedName("inProgressCount") val inProgressCount: Int,
    @SerializedName("completedCount") val completedCount: Int,
    @SerializedName("items") val items: List<GetAuditionListItem>
)

@Keep
data class GetAuditionListItem(
    @SerializedName("id") val id: Long,
    @SerializedName("title") val title: String,
    @SerializedName("imageUrl") val imageUrl: String,
    @SerializedName("isOff") val isOff: Boolean
)
