package kr.co.vividnext.sodalive.audition.applicant

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetAuditionApplicantListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<GetAuditionRoleApplicantItem>
)

@Keep
data class GetAuditionRoleApplicantItem(
    @SerializedName("applicantId") val applicantId: Long,
    @SerializedName("memberId") val memberId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileImageUrl") val profileImageUrl: String,
    @SerializedName("voiceUrl") val voiceUrl: String,
    @SerializedName("voteCount") val voteCount: Long
)
