package kr.co.vividnext.sodalive.audition.detail

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetAuditionDetailResponse(
    @SerializedName("auditionId") val auditionId: Long,
    @SerializedName("title") val title: String,
    @SerializedName("imageUrl") val imageUrl: String,
    @SerializedName("information") val information: String,
    @SerializedName("roleList") val roleList: List<GetAuditionRoleListData>
)

@Keep
data class GetAuditionRoleListData(
    @SerializedName("roleId") val roleId: Long,
    @SerializedName("name") val name: String,
    @SerializedName("imageUrl") val imageUrl: String,
    @SerializedName("isComplete") val isComplete: Boolean
)
