package kr.co.vividnext.sodalive.explorer.profile.donation

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.explorer.profile.UserDonationRankingResponse

@Keep
data class GetDonationAllResponse(
    @SerializedName("accumulatedCansToday")
    val accumulatedCansToday: Int,
    @SerializedName("accumulatedCansLastWeek")
    val accumulatedCansLastWeek: Int,
    @SerializedName("accumulatedCansThisMonth")
    val accumulatedCansThisMonth: Int,
    @SerializedName("isVisibleDonationRank")
    val isVisibleDonationRank: Boolean,
    @SerializedName("totalCount")
    val totalCount: Int,
    @SerializedName("userDonationRanking")
    val userDonationRanking: List<UserDonationRankingResponse>,
)
