package kr.co.vividnext.sodalive.live

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.common.ApiResponse
import kr.co.vividnext.sodalive.live.recommend.GetRecommendLiveResponse
import kr.co.vividnext.sodalive.settings.event.GetEventResponse

@Keep
data class LiveSummary(
    @SerializedName("liveNow") val liveNow: ApiResponse<List<GetRoomListResponse>>,
    @SerializedName("liveReservation") val liveReservation: ApiResponse<List<GetRoomListResponse>>,
    @SerializedName("event") val event: ApiResponse<GetEventResponse>,
    @SerializedName("recommendLive") val recommendLive: ApiResponse<List<GetRecommendLiveResponse>>,
)
