package kr.co.vividnext.sodalive.live.reservation

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import java.util.TimeZone

@Keep
data class MakeLiveReservationRequest(
    @SerializedName("roomId") val roomId: Long,
    @SerializedName("container") val container: String = "aos",
    @SerializedName("timezone") val timezone: String = TimeZone.getDefault().id,
    @SerializedName("password") val password: String? = null
)
