package kr.co.vividnext.sodalive.live.room.like

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class GetLiveRoomHeartListResponse(
    @SerializedName("heartList") val heartList: List<GetLiveRoomHeartListItem>,
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("totalHeart") val totalHeart: Int
)

@Keep
data class GetLiveRoomHeartListItem(
    @SerializedName("profileImage") val profileImage: String,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("heart") val heart: Int
)
