package kr.co.vividnext.sodalive.live.room.update

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName

@Keep
data class EditLiveRoomInfoRequest(
    @SerializedName("title") val title: String?,
    @SerializedName("notice") val notice: String?,
    @SerializedName("numberOfPeople") val numberOfPeople: Int?,
    @SerializedName("beginDateTimeString") val beginDateTimeString: String?,
    @SerializedName("timezone") val timezone: String?,
    @SerializedName("menuPanId") val menuPanId: Long = 0,
    @SerializedName("menuPan") val menuPan: String = "",
    @SerializedName("isActiveMenuPan") val isActiveMenuPan: Boolean? = null,
    @SerializedName("isAdult") val isAdult: Boolean? = null
)
