package kr.co.vividnext.sodalive.mypage.alarm

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.POST

interface AlarmListApi {
    @GET("/alarm")
    fun getSlotQuantityAndPrice(
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<GetSlotQuantityAndPriceResponse>>

    @POST("/alarm/buy-slot/aos")
    fun buyExtraSlot(@Header("Authorization") authHeader: String): Single<ApiResponse<Any>>
}
