package kr.co.vividnext.sodalive.mypage.can.charge.iap

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.mypage.can.payment.PaymentGateway

@Keep
data class GoogleChargeRequest(
    @SerializedName("title") val title: String,
    @SerializedName("chargeCan") val chargeCan: Int,
    @SerializedName("price") val price: Double,
    @SerializedName("currencyCode") val currencyCode: String,
    @SerializedName("productId") val productId: String,
    @SerializedName("purchaseToken") val purchaseToken: String,
    @SerializedName("paymentGateway") val paymentGateway: PaymentGateway = PaymentGateway.GOOGLE_IAP
)
