package kr.co.vividnext.sodalive.mypage.can.charge.pg

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.mypage.can.payment.PaymentGateway

@Keep
data class ChargeRequest(
    @SerializedName("canId")
    val canId: Long,
    @SerializedName("paymentGateway")
    val paymentGateway: PaymentGateway
)

@Keep
data class ChargeResponse(
    @SerializedName("chargeId")
    val chargeId: Long
)

@Keep
data class VerifyRequest(
    @SerializedName("receipt_id")
    val receiptId: String,
    @SerializedName("order_id")
    val orderId: String
)
