package kr.co.vividnext.sodalive.mypage.profile

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.user.Gender

@Keep
data class ProfileResponse(
    @SerializedName("userId") val userId: Long,
    @SerializedName("email") val email: String,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("gender") val gender: Gender,
    @SerializedName("profileUrl") val profileUrl: String,
    @SerializedName("chargeCan") val chargeCan: Int,
    @SerializedName("rewardCan") val rewardCan: Int,
    @SerializedName("youtubeUrl") val youtubeUrl: String?,
    @SerializedName("instagramUrl") val instagramUrl: String?,
    @SerializedName("blogUrl") val blogUrl: String?,
    @SerializedName("websiteUrl") val websiteUrl: String?,
    @SerializedName("introduce") val introduce: String,
    @SerializedName("tags") val tags: List<String>
)
