package kr.co.vividnext.sodalive.mypage.service_center

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Query

interface FaqApi {
    @GET("/faq")
    fun getFaqs(
        @Query("category") category: String,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<List<Faq>>>

    @GET("/faq/category")
    fun getFaqCategories(
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<List<String>>>
}
