package kr.co.vividnext.sodalive.settings.notice

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Query

interface NoticeApi {
    @GET("/notice")
    fun getNotices(
        @Query("timezone") timezone: String,
        @Query("page") page: Int,
        @Query("size") size: Int,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<GetNoticeResponse>>
}
