package kr.co.vividnext.sodalive.user.signup

import androidx.annotation.Keep
import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.user.Gender

@Keep
data class SignUpRequest(
    @SerializedName("email") val email: String,
    @SerializedName("password") val password: String,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("gender") val gender: Gender,
    @SerializedName("isAgreeTermsOfService") val isAgreeTermsOfService: Boolean,
    @SerializedName("isAgreePrivacyPolicy") val isAgreePrivacyPolicy: Boolean,
    @SerializedName("container") val container: String = "aos"
)
